//
//  {{ prefix }}{{ module_info.file_name }}
//  {{ module_info.project_name }}
//
//  Created by {{ developer.name }} on {{ date }}.
//  Copyright © {{ year }} {{ developer.company }}. All rights reserved.
//

import UIKit

final class {{ module_info.name }}ViewController: UIViewController {

    // MARK: - Subviews

    // MARK: - Properties
    private let output: {{ module_info.name }}ViewOutput

    // MARK: - Init
    init(output: {{ module_info.name }}ViewOutput) {
        self.output = output
        super.init(nibName: nil, bundle: nil)
    }

    @available(*, unavailable)
    required init?(coder aDecoder: NSCoder) {
        fatalError("init(coder:) has not been implemented")
    }

    // MARK: Life cycle
    override func viewDidLoad() {
        super.viewDidLoad()
    }

    // MARK: - Layout
    override func viewWillLayoutSubviews() {
        super.viewWillLayoutSubviews()

        layout()
    }

    private func layout() {}

    // MARK: - Private methods
    private func addSubviews() {}

}

// MARK: - {{module_info.name}}ViewInput
extension {{ module_info.name }}ViewController: {{module_info.name}}ViewInput {}